import DataLoader from 'dataloader';
import { AdminContextProvider } from '../../admin-context/providers/admin-context.provider.js';
import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
import type { IGetAllClientsResult, IInsertClientParams, IUpdateClientParams } from '../types.js';
export declare class ClientsProvider {
    private db;
    private adminContextProvider;
    constructor(db: TenantAwareDBClient, adminContextProvider: AdminContextProvider);
    private allClientsPython;
    getAllClients(): Promise<IGetAllClientsResult[]>;
    private batchClientsByIds;
    getClientByIdLoader: DataLoader<string, import("../types.js").IGetClientsByIdsResult | undefined, string>;
    private batchClientsByGreenInvoiceIds;
    getClientByGreenInvoiceIdLoader: DataLoader<string, import("../types.js").IGetClientsByGreenInvoiceIdsResult | undefined, string>;
    updateClient(params: IUpdateClientParams): Promise<import("../types.js").IUpdateClientResult[]>;
    deleteClient(businessId: string): Promise<import("../types.js").IDeleteClientResult[]>;
    insertClient(params: IInsertClientParams): Promise<import("../types.js").IInsertClientResult[]>;
    clearCache(): void;
}
